Skip to main content
`Ctrl`+`K`

# PetscLogHandlerGetStagePerfInfo

Get a direct reference to the `PetscEventPerfInfo` of a stage

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogHandlerGetStagePerfInfo(PetscLogHandler handler, PetscLogStage stage, PetscEventPerfInfo **stage_info)

Not collective, No Fortran Support

## Input Parameters

- handler - a `PetscLogHandler`

- stage - a `PetscLogStage` (or `PETSC_DEFAULT` for the current stage)

## Output Parameter

- stage_info - a pointer to a performance log for `stage` (or `NULL` if this handler does not use `PetscEventPerfInfo` to record performance data); writing to `stage_info` will change the record in `handler`

## See Also

Profiling, `PetscLogEventGetPerfInfo()`, `PETSCLOGHANDLERDEFAULT`

## Level

developer

## Location

src/sys/logging/handler/interface/loghandler.c

## Implementations

PetscLogHandlerGetStagePerfInfo_Default() in src/sys/logging/handler/impls/default/logdefault.c

Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages